#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
x_cart:
  clean_urls:
    aliases:
      new_arrivals: newarrivals
      coming_soon: coming-soon
dto_generator:
  entities:
    dto:
      XCart\Logic\Action\Storefront\Product\GetList\DTO\Request\Filter:
        fields:
          newArrivals:
            type: BooleanValue
            nullable: true
          comingSoon:
            type: BooleanValue
            nullable: true

      XCart\DTO\Doctrine\Storefront\Product\Filter:
        fields:
          newArrivals:
            type: BooleanValue
            nullable: true
          comingSoon:
            type: BooleanValue
            nullable: true
services:
  _defaults:
    autowire: true
    autoconfigure: true
  xcart.data_source.product.read.query_builder_filter.enricher.filter_applier.resolver.decorator.new_arrivals:
    class: CDev\ProductAdvisor\Logic\Action\Storefront\Product\GetList\Resolver\NewArrivalsFilterApplierResolverDecorator
    decorates: xcart.data_source.product.read.query_builder_filter.enricher.filter_applier.resolver
    arguments:
      $inner: '@.inner'
  xcart.data_source.product.read.query_builder_filter.enricher.filter_applier.resolver.decorator.coming_soon:
    class: CDev\ProductAdvisor\Logic\Action\Storefront\Product\GetList\Resolver\ComingSoonFilterApplierResolverDecorator
    decorates: xcart.data_source.product.read.query_builder_filter.enricher.filter_applier.resolver
    arguments:
      $inner: '@.inner'
